#pragma once

#include <stdint.h>

namespace Devices::Mcu
{
    struct WatchDog
    {
        enum class Timeout
        {
            _8s,
            _4s,
            _2s,
            _1s,
            _500ms,
            _250ms,
            _120ms,
            _60ms,
            _30ms,
            _15ms
        };

        struct AlwaysOn
        {
            using Timeout = Devices::Mcu::WatchDog::Timeout;

            static void Init();
            static void Enable(Timeout const timeout);
            static void Disable();
            static void Reset();
        };
    };
}